Qt Reference Documentation

# QAccessibleObject Class Reference

The QAccessibleObject class implements parts of the QAccessibleInterface for QObjects. More...

     #include <QAccessibleObject>

Inherits: QAccessibleInterface.

Inherited by: QAccessibleWidget.

- List of all members, including inherited members

## Public Functions

| QAccessibleObject ( QObject * object )

## Reimplemented Public Functions

virtual QString | actionText ( int action, Text t, int child ) const
virtual bool | doAction ( int action, int child, const QVariantList & params )
virtual bool | isValid () const
virtual QObject * | object () const
virtual QRect | rect ( int child ) const
virtual void | setText ( Text t, int child, const QString & text )
virtual int | userActionCount ( int child ) const

- 17 public functions inherited from QAccessibleInterface

## Protected Functions

virtual | ~QAccessibleObject ()

### Additional Inherited Members

- 7 static public members inherited from QAccessible

## Detailed Description

The QAccessibleObject class implements parts of the QAccessibleInterface for QObjects.

This class is mainly provided for convenience. All subclasses of the QAccessibleInterface that provide implementations of non-widget objects should use this class as their base class.

See also QAccessible and QAccessibleWidget.

## Member Function Documentation

### QAccessibleObject::QAccessibleObject ( QObject * object )

Creates a QAccessibleObject for object.

### QAccessibleObject::~QAccessibleObject ()`[virtual protected]`

Destroys the QAccessibleObject.

This only happens when a call to release() decrements the internal reference counter to zero.

### QString QAccessibleObject::actionText ( int action, Text t, int child ) const`[virtual]`

Reimplemented from QAccessibleInterface::actionText().

### bool QAccessibleObject::doAction ( int action, int child, const QVariantList & params )`[virtual]`

Reimplemented from QAccessibleInterface::doAction().

### bool QAccessibleObject::isValid () const`[virtual]`

Reimplemented from QAccessibleInterface::isValid().

### QObject * QAccessibleObject::object () const`[virtual]`

Reimplemented from QAccessibleInterface::object().

### QRect QAccessibleObject::rect ( int child ) const`[virtual]`

Reimplemented from QAccessibleInterface::rect().

### void QAccessibleObject::setText ( Text t, int child, const QString & text )`[virtual]`

Reimplemented from QAccessibleInterface::setText().

### int QAccessibleObject::userActionCount ( int child ) const`[virtual]`

Reimplemented from QAccessibleInterface::userActionCount().